Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.preference
Interface IPreferences

    public interface IPreferences

Field Summary
`static boolean` | `BOOLEAN_DEFAULT_DEFAULT` The default-default value for boolean preferences (`false`).
`static double` | `DOUBLE_DEFAULT_DEFAULT` The default-default value for double preferences (`0.0`).
`static java.lang.String` | `FALSE` The string representation used for `false` (`"false"`).
`static float` | `FLOAT_DEFAULT_DEFAULT` The default-default value for float preferences (`0.0f`).
`static int` | `INT_DEFAULT_DEFAULT` The default-default value for int preferences (`0`).
`static long` | `LONG_DEFAULT_DEFAULT` The default-default value for long preferences (`0L`).
`static java.lang.String` | `STRING_DEFAULT_DEFAULT` The default-default value for String preferences (`""`).
`static java.lang.String` | `TRUE` The string representation used for `true` (`"true"`).

Method Summary
`void` | `addPreferenceChangeListener(IPreferenceChangeListener pcl)`
`boolean` | `contains(java.lang.String name)`
`void` | `firePreferenceChangeEvent(java.lang.String name, java.lang.Object oldValue, java.lang.Object newValue)`
`boolean` | `getBoolean(java.lang.String name)`
`boolean` | `getDefaultBoolean(java.lang.String name)`
`double` | `getDefaultDouble(java.lang.String name)`
`float` | `getDefaultFloat(java.lang.String name)`
`int` | `getDefaultInt(java.lang.String name)`
`long` | `getDefaultLong(java.lang.String name)`
`java.lang.String` | `getDefaultString(java.lang.String name)`
`double` | `getDouble(java.lang.String name)`
`float` | `getFloat(java.lang.String name)`
`int` | `getInt(java.lang.String name)`
`long` | `getLong(java.lang.String name)`
`java.lang.String` | `getString(java.lang.String name)`
`boolean` | `isDefault(java.lang.String name)`
`void` | `putValue(java.lang.String name, java.lang.String value)`
`void` | `removePreferenceChangeListener(IPreferenceChangeListener pcl)`
`void` | `save()`
`void` | `setDefault(java.lang.String name, boolean value)`
`void` | `setDefault(java.lang.String name, double value)`
`void` | `setDefault(java.lang.String name, float value)`
`void` | `setDefault(java.lang.String name, int value)`
`void` | `setDefault(java.lang.String name, long value)`
`void` | `setDefault(java.lang.String name, java.lang.String value)`
`void` | `setToDefault(java.lang.String name)`
`void` | `setValue(java.lang.String name, boolean value)`
`void` | `setValue(java.lang.String name, double value)`
`void` | `setValue(java.lang.String name, float value)`
`void` | `setValue(java.lang.String name, int value)`
`void` | `setValue(java.lang.String name, long value)`
`void` | `setValue(java.lang.String name, java.lang.String value)`

Field Detail

### BOOLEAN_DEFAULT_DEFAULT

    static final boolean BOOLEAN_DEFAULT_DEFAULT

  The default-default value for boolean preferences (`false`).

  See Also:
    Constant Field Values

### DOUBLE_DEFAULT_DEFAULT

    static final double DOUBLE_DEFAULT_DEFAULT

  The default-default value for double preferences (`0.0`).

  See Also:
    Constant Field Values

### FLOAT_DEFAULT_DEFAULT

    static final float FLOAT_DEFAULT_DEFAULT

  The default-default value for float preferences (`0.0f`).

  See Also:
    Constant Field Values

### INT_DEFAULT_DEFAULT

    static final int INT_DEFAULT_DEFAULT

  The default-default value for int preferences (`0`).

  See Also:
    Constant Field Values

### LONG_DEFAULT_DEFAULT

    static final long LONG_DEFAULT_DEFAULT

  The default-default value for long preferences (`0L`).

  See Also:
    Constant Field Values

### STRING_DEFAULT_DEFAULT

    static final java.lang.String STRING_DEFAULT_DEFAULT

  The default-default value for String preferences (`""`).

  See Also:
    Constant Field Values

### TRUE

    static final java.lang.String TRUE

  The string representation used for `true` (`"true"`).

  See Also:
    Constant Field Values

### FALSE

    static final java.lang.String FALSE

  The string representation used for `false` (`"false"`).

  See Also:
    Constant Field Values

Method Detail

### save

    void save()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### setValue

    void setValue(java.lang.String name,
                  boolean value)

### setValue

    void setValue(java.lang.String name,
                  java.lang.String value)

### setValue

    void setValue(java.lang.String name,
                  long value)

### setValue

    void setValue(java.lang.String name,
                  int value)

### setValue

    void setValue(java.lang.String name,
                  float value)

### setValue

    void setValue(java.lang.String name,
                  double value)

### setToDefault

    void setToDefault(java.lang.String name)

### setDefault

    void setDefault(java.lang.String name,
                    boolean value)

### setDefault

    void setDefault(java.lang.String name,
                    java.lang.String value)

### setDefault

    void setDefault(java.lang.String name,
                    long value)

### setDefault

    void setDefault(java.lang.String name,
                    int value)

### setDefault

    void setDefault(java.lang.String name,
                    float value)

### setDefault

    void setDefault(java.lang.String name,
                    double value)

### putValue

    void putValue(java.lang.String name,
                  java.lang.String value)

### isDefault

    boolean isDefault(java.lang.String name)

### contains

    boolean contains(java.lang.String name)

### getString

    java.lang.String getString(java.lang.String name)

### getLong

    long getLong(java.lang.String name)

### getInt

    int getInt(java.lang.String name)

### getFloat

    float getFloat(java.lang.String name)

### getDouble

    double getDouble(java.lang.String name)

### getBoolean

    boolean getBoolean(java.lang.String name)

### getDefaultString

    java.lang.String getDefaultString(java.lang.String name)

### getDefaultLong

    long getDefaultLong(java.lang.String name)

### getDefaultInt

    int getDefaultInt(java.lang.String name)

### getDefaultFloat

    float getDefaultFloat(java.lang.String name)

### getDefaultDouble

    double getDefaultDouble(java.lang.String name)

### getDefaultBoolean

    boolean getDefaultBoolean(java.lang.String name)

### addPreferenceChangeListener

    void addPreferenceChangeListener(IPreferenceChangeListener pcl)

### removePreferenceChangeListener

    void removePreferenceChangeListener(IPreferenceChangeListener pcl)

### firePreferenceChangeEvent

    void firePreferenceChangeEvent(java.lang.String name,
                                   java.lang.Object oldValue,
                                   java.lang.Object newValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.